
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 10px;
  grid-auto-flow: dense;
}


.gallery-grid.small {
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  gap: 6px;
  overflow-y:auto;
  padding: 16px;
}

.gallery-item {
  position: relative;
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  aspect-ratio: 1 / 1;
}

/* שינויי גדלים */
.gallery-item.wide {
  grid-column: span 2;
  aspect-ratio: 2 / 1;
  /* רחב יותר */
}

.gallery-item.tall {
  grid-row: span 2;
  aspect-ratio: 1 / 2;
  /* גבוה יותר */
}

.gallery-item.large {
  grid-column: span 2;
  grid-row: span 2;
  aspect-ratio: 2 / 2;
  /* ריבוע גדול */
}

.gallery-item img,
.gallery-item video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
   cursor: pointer;
}

.gallery-grid.small .gallery-item img {
  height: 100%;
}



@media (max-width: 900px) {
    .isMobileBeTall{
         grid-row: span 2;
         aspect-ratio: 1 / 2;
         height: 320px;
        
    }
    
    .addMobileHeight {
        height: 230px;
    }
    
    
}